commit:     8e0f752f7311788876c687958328c72ecccaff64
Author:     Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
AuthorDate: Tue Aug 11 22:19:57 2020 +0000
Commit:     Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
CommitDate: Tue Aug 11 23:10:06 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8e0f752f

media-libs/avidemux-core: bump to v2.7.6

Package-Manager: Portage-3.0.2, Repoman-2.3.23
Signed-off-by: Thomas Deutschmann <whissi <AT> gentoo.org>

 media-libs/avidemux-core/Manifest                  |   1 +
 .../avidemux-core/avidemux-core-2.7.6.ebuild       | 100 +++++++++++++++++++++
 .../files/avidemux-core-2.7.6-ffmpeg-flags.patch   |   8 ++
 3 files changed, 109 insertions(+)

diff --git a/media-libs/avidemux-core/Manifest 
b/media-libs/avidemux-core/Manifest
index 81a3ad8e8a8..20c2b9ff2f2 100644
--- a/media-libs/avidemux-core/Manifest
+++ b/media-libs/avidemux-core/Manifest
@@ -1 +1,2 @@
 DIST avidemux-2.7.4.tar.gz 23815808 BLAKE2B 
3a7206f04f568f28dd4d5116c580dd780b057a59e94dd61a2abe5dadfa557291a0c50f917ad1926f9f9a82d01af065c06138f954320e2d9c174fda7583a6b265
 SHA512 
36d857837cd6a74039a414df16367cd8cbf615173bcc531e57dc0dbfc2e002b1c0c4a80cef73a0d8f25d305deca809af0b5cbcdbad8c311324fa2e64381fd10b
+DIST avidemux-2.7.6.tar.gz 21963753 BLAKE2B 
6ca343f90c37844ebfd61123badccefb7327cbf500723c031257cf26500a5b6d98955568c2a9c0d182af68f162e878459a51e6049485937f9b01b4439b32e5e0
 SHA512 
bc60c733168d40d5b39cc7dd1f74b3f1315e9727302478ef1621e18748bad3400bcfd4d5199862c3093ad9df51385b6b2a96f0f8fedf9bf1c00060327545fb0f

diff --git a/media-libs/avidemux-core/avidemux-core-2.7.6.ebuild 
b/media-libs/avidemux-core/avidemux-core-2.7.6.ebuild
new file mode 100644
index 00000000000..ac6eace06eb
--- /dev/null
+++ b/media-libs/avidemux-core/avidemux-core-2.7.6.ebuild
@@ -0,0 +1,100 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+CMAKE_MAKEFILE_GENERATOR="emake"
+
+inherit cmake toolchain-funcs
+
+DESCRIPTION="Core libraries for simple video cutting, filtering and encoding 
tasks"
+HOMEPAGE="http://fixounet.free.fr/avidemux";
+SRC_URI="https://github.com/mean00/avidemux2/archive/${PV}.tar.gz -> 
avidemux-${PV}.tar.gz"
+
+# Multiple licenses because of all the bundled stuff.
+LICENSE="GPL-1 GPL-2 MIT PSF-2 public-domain"
+SLOT="2.7"
+KEYWORDS="~amd64 ~x86"
+IUSE="debug nls nvenc sdl system-ffmpeg vaapi vdpau xv"
+
+# Trying to use virtual; ffmpeg misses aac,cpudetection USE flags now though, 
are they needed?
+DEPEND="dev-db/sqlite:3
+       nvenc? ( media-video/nvidia_video_sdk )
+       sdl? ( media-libs/libsdl:0 )
+       system-ffmpeg? ( >=media-video/ffmpeg-9:0[mp3,theora] )
+       vaapi? ( x11-libs/libva:0= )
+       vdpau? ( x11-libs/libvdpau:0 )
+       xv? ( x11-libs/libXv:0 )
+"
+RDEPEND="${DEPEND}
+       !<media-libs/avidemux-core-${PV}
+       !<media-video/avidemux-${PV}
+       nls? ( virtual/libintl:0 )
+"
+BDEPEND="virtual/pkgconfig
+       nls? ( sys-devel/gettext )
+       !system-ffmpeg? ( dev-lang/yasm[nls=] )
+"
+
+PATCHES=( "${FILESDIR}"/avidemux-core-2.7.6-ffmpeg-flags.patch )
+
+S="${WORKDIR}/avidemux2-${PV}"
+CMAKE_USE_DIR="${S}/${PN/-/_}"
+
+src_prepare() {
+       cmake_src_prepare
+
+       if use system-ffmpeg ; then
+               # Preparations to support the system ffmpeg. Currently fails 
because
+               # it depends on files the system ffmpeg doesn't install.
+               local error="Failed to remove bundled ffmpeg."
+
+               rm -r cmake/admFFmpeg* cmake/ffmpeg* 
avidemux_core/ffmpeg_package \
+                       buildCore/ffmpeg || die "${error}"
+               sed -e 's/include(admFFmpegUtil)//g' -e '/registerFFmpeg/d' \
+                       -i avidemux/commonCmakeApplication.cmake || die 
"${error}"
+               sed -e 's/include(admFFmpegBuild)//g' \
+                       -i avidemux_core/CMakeLists.txt || die "${error}"
+       else
+               local ffmpeg_args=(
+                       --cc=$(tc-getCC)
+                       --cxx=$(tc-getCXX)
+                       --ar=$(tc-getAR)
+                       --nm=$(tc-getNM)
+                       --ranlib=$(tc-getRANLIB)
+                       "--optflags='${CFLAGS}'"
+               )
+
+               sed -i \
+                       -e "s/@@GENTOO_FFMPEG_FLAGS@@/${ffmpeg_args[*]}/" \
+                       cmake/ffmpeg_configure.sh.cmake \
+                       || die
+       fi
+}
+
+src_configure() {
+       # See bug 432322.
+       use x86 && replace-flags -O0 -O1
+
+       local mycmakeargs=(
+               -DAVIDEMUX_SOURCE_DIR='${S}'
+               -DGETTEXT="$(usex nls)"
+               -DNVENC="$(usex nvenc)"
+               -DSDL="$(usex sdl)"
+               -DLIBVA="$(usex vaapi)"
+               -DVDPAU="$(usex vdpau)"
+               -DXVIDEO="$(usex xv)"
+       )
+
+       use debug && mycmakeargs+=( -DVERBOSE=1 -DADM_DEBUG=1 )
+
+       cmake_src_configure
+}
+
+src_compile() {
+       cmake_src_compile
+}
+
+src_install() {
+       cmake_src_install
+}

diff --git 
a/media-libs/avidemux-core/files/avidemux-core-2.7.6-ffmpeg-flags.patch 
b/media-libs/avidemux-core/files/avidemux-core-2.7.6-ffmpeg-flags.patch
new file mode 100644
index 00000000000..48e58be6d28
--- /dev/null
+++ b/media-libs/avidemux-core/files/avidemux-core-2.7.6-ffmpeg-flags.patch
@@ -0,0 +1,8 @@
+--- a/cmake/ffmpeg_configure.sh.cmake
++++ b/cmake/ffmpeg_configure.sh.cmake
+@@ -1,2 +1,2 @@
+ export PATH=${FF_ENV_PATH}:$PATH
+-${FFMPEG_SOURCE_DIR}/configure ${FFMPEG_FLAGS}
+\ No newline at end of file
++${FFMPEG_SOURCE_DIR}/configure ${FFMPEG_FLAGS} @@GENTOO_FFMPEG_FLAGS@@
+\ No newline at end of file

Reply via email to